#!/usr/bin/env python
"""The setup script."""

from setuptools import find_packages, setup

with open("README.rst") as readme_file:
    readme = readme_file.read()

with open("HISTORY.rst") as history_file:
    history = history_file.read()

requirements = []

test_requirements = []

setup(
    author="Gvido Bērziņš",
    author_email="gvido.berzins@syberu.xyz",
    python_requires=">=3.6",
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Natural Language :: English",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
    ],
    description=
    "Pretty print text in varioua replacement template and a color tuple.",
    entry_points={
        "console_scripts": [
            "peacockprint=peacockprint.cli:main",
        ],
    },
    install_requires=requirements,
    license="GNU General Public License v3",
    long_description=readme + "\n\n" + history,
    include_package_data=True,
    keywords="peacockprint",
    name="peacockprint",
    packages=find_packages(include=["peacockprint", "peacockprint.*"]),
    test_suite="tests",
    tests_require=test_requirements,
    url="https://github.com/gvido-berzins/peacockprint",
    version="0.1.0",
    zip_safe=False,
)
